Bug 1548196

Summary: drupal: jQuery vulnerability with untrusted domains requests via Ajax
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jsmith.fedora, lpardo, peter, shawn, stickster
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: drupal 7.57, drupal 8.4.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-25 15:03:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1548197, 1548198    
Bug Blocks:    

Description Laura Pardo 2018-02-22 23:55:50 UTC
A flaw was found in Drupal 7 and Drupal 8. A jQuery cross site scripting vulnerability is present when making Ajax requests to untrusted domains. This vulnerability is mitigated by the fact that it requires contributed or custom modules in order to exploit.


References:
https://www.drupal.org/sa-core-2018-001

Comment 1 Laura Pardo 2018-02-22 23:56:10 UTC
Created drupal7 tracking bugs for this issue:

Affects: epel-all [bug 1548197]
Affects: fedora-all [bug 1548198]

Comment 2 Shawn Iwinski 2019-02-23 07:50:51 UTC
All dependent bugs have been closed.  Can this tracking bug be closed as well?

Comment 3 Laura Pardo 2019-02-25 15:03:47 UTC
In reply to comment #2:
> All dependent bugs have been closed.  Can this tracking bug be closed as
> well?

Yes, closing

Comment 4 Fedora Update System 2019-03-12 21:47:44 UTC
drupal6-6.38-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.